## cascading.pipe.cogroup
Class RightJoin

    java.lang.Object
      cascading.pipe.cogroup.RightJoin

All Implemented Interfaces:
  Joiner, Serializable

    public class RightJoin

extends Object
implements Joiner

Class RightJoin will return an `RightJoin.JoinIterator` that will iterate over a given `Joiner` and return tuples that represent a left outer, right inner join of the CoGrouper internal grouped tuple collections.

Note only the farthest left tuple stream will be used as the outer join. All following joins to the right will be inner joins. See `MixedJoin` for more flexibility.

See Also:
  `MixedJoin`, Serialized Form

Nested Class Summary
`protected static class` `RightJoin.JoinIterator`

Constructor Summary
`RightJoin()`

Method Summary
`Iterator<Tuple>` `getIterator(GroupClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
`int` `numJoins()` Returns the number of joins this instance can handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RightJoin

    public RightJoin()

Method Detail

### getIterator

    public Iterator<Tuple> getIterator(GroupClosure closure)

  Description copied from interface: `Joiner`
  Returns an iterator that joins the given CoGroupClosure co-groups.

  Specified by:
    `getIterator` in interface `Joiner`
  Parameters:
    `closure` - of type GroupClosure
  Returns:
    an iterator

### numJoins

    public int numJoins()

  Description copied from interface: `Joiner`
  Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.

  Specified by:
    `numJoins` in interface `Joiner`
  Returns:
    an int

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.